Update Agent
curl --request PUT \
--url https://api.boostgpt.co/v1/bot/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "<string>",
"bot_id": "<string>",
"model": "<string>",
"instruction": "<string>"
}
'import requests
url = "https://api.boostgpt.co/v1/bot/update"
payload = {
"project_id": "<string>",
"bot_id": "<string>",
"model": "<string>",
"instruction": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_id: '<string>',
bot_id: '<string>',
model: '<string>',
instruction: '<string>'
})
};
fetch('https://api.boostgpt.co/v1/bot/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"updated_at": "<string>",
"model": "<string>",
"instruction": "<string>",
"name": "<string>",
"reasoning_type": "<string>",
"max_reply_tokens": "<string>",
"top": 123
}{
"error": "<string>",
"code": "<string>"
}Agent
Update Agent
Update an existing agent’s configuration
PUT
/
v1
/
bot
/
update
Update Agent
Authorizations
Enter your API key
Body
application/json
The project ID
The agent ID to update
Updated AI model
Updated system instructions
Updated status
Available options:
0, 1 Enable heartbeat (autonomous scheduling) for this agent (0 = off, 1 = on)
Available options:
0, 1 Response
Agent updated successfully
Agent update response containing only the ID and updated fields
Agent ID
Last update timestamp
Updated AI model (if changed)
Updated system instructions (if changed)
Updated status (if changed)
Available options:
0, 1 Updated agent name (if changed)
Updated reasoning type (if changed)
Updated max reply tokens (if changed)
Updated top value (if changed)
Updated heartbeat setting (if changed)
Available options:
0, 1 Was this page helpful?
⌘I